TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

PositionProperty ( list l, func pred ) -> elt-ord^rat

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Return the position of the first element of `l' which suffices the predicate function `pred'.
Return FAILURE if no such element exists in `l'.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

PositionProperty([50..100],IsPrime);
PositionProperty([2,4,6,8,12,50,100],i->i mod 5=0);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack